Summary: Empty dummy package that depends on mysql and needed packages
Name: op5-mysql
Version: %{op5version}
Release: %{op5release}%{?dist}
Epoch: 1
Group: op5/system-addons
License: MIT
Prefix: %repodir
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
%if 0%{?suse_version}
Requires: mysql
Requires: mysql-client
Requires: php53-mysql
Requires: python-mysql
%else
%if 0%{?rhel} <= 6
Requires: mysql-server
%else
# As of el7 mysql is called mariadb as a dropin replacement.
Requires: mariadb-server
%endif
Requires: php-mysql
Requires: MySQL-python
%endif
Provides: op5-monitor-supported-database

%description
This is an empty package that satisfies the dependencies of op5's
database backed packages.

%prep
%setup -q

%build

%install
rm -rf %buildroot
mkdir -p -m 755 %buildroot
mkdir -p -m 755 %buildroot%repodir

install -d %buildroot%_docdir/op5-mysql-%{version}
install README.op5-monitor-supported-databases %buildroot%_docdir/op5-mysql-%{version}/README

%post
%if 0%{?suse_version}
chkconfig mysql on
if ! service mysql status; then
service mysql start
fi
%else
chkconfig mysqld on
if ! service mysqld status; then
service mysqld start
fi
%endif

%files
%defattr(-, root, root)
%doc %_docdir/op5-mysql-%{version}/README

%clean
rm -rf %buildroot

